/*  CAO Compiler
    Copyright (C) 2014 Cryptography and Information Security Group, HASLab - INESC TEC and Universidade do Minho

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

#include "CAO_rint.h"

CAO_RES CAO_rint_cast_int(CAO_int o, CAO_rint i)
{
	ZZ *_o = (ZZ *) o;
	*_o = i;
	return CAO_OK;
}

CAO_RES CAO_rint_dump(CAO_rint b)
{
	std::cout << b << "\n";
	return CAO_OK;
}
