#include "CAO_globals.h"
#include "CAO_globalOp.h"
#include "CAO_bool.h"
#include "CAO_int.h"
#include "CAO_ubits.h"
#include "CAO_sbits.h"
#include "CAO_mod.h"
#include "CAO_modpol.h"
#include "CAO_vector.h"
#include "CAO_matrix.h"
#include "CAO_struct.h"

CAO_RES init(void);
CAO_RES dispose(void);
CAO_RES c_sha1_test1(void);
CAO_RES c_sha1_test2(void);
CAO_RES c_sha1_test3(void);
CAO_RES c_sha1_test4(void);

extern CAO_ubits c_output;

int main(void){
	init();
	c_sha1_test1();
	CAO_ubits_dump(c_output);
	c_sha1_test2();
	CAO_ubits_dump(c_output);
	c_sha1_test3();
	CAO_ubits_dump(c_output);
	c_sha1_test4();
	CAO_ubits_dump(c_output);
	dispose();
	return 0;
}

/* Expected output:

 bits[160] = 968236873715988614170569073515315707566766479517
 bits[160] = 756981919157381189150916787291668349464288325873
 bits[160] = 939734261995848132309376323405959335045052539481
 bits[160] = 300671821421526032173293932193251544739706306927

consistently with http://www.di-mgt.com.au/sha_testvectors.html */

